"use strict"

{
	const C3 = globalThis.C3
	C3.Behaviors.overboy_array_b.Exps = {
		At(x, y, z) {
			return this.At(x, y || 0, z || 0)
		},
		Width() {
			return this._cx
		},
		Height() {
			return this._cy
		},
		Depth() {
			return this._cz
		},
		CurX() {
			return this._GetForX()
		},
		CurY() {
			return this._GetForY()
		},
		CurZ() {
			return this._GetForZ()
		},
		CurValue() {
			return this.At(this._GetForX(), this._GetForY(), this._GetForZ())
		},
		Front() {
			return this.At(0, 0, 0)
		},
		Back() {
			return this.At(this._cx - 1, 0, 0)
		},
		IndexOf(v) {
			const arr = this._arr
			for (let x = 0, len = this._cx; x < len; ++x) if (arr[x][0][0] === v) return x
			return -1
		},
		LastIndexOf(v) {
			const arr = this._arr
			for (let x = this._cx - 1; x >= 0; --x) if (arr[x][0][0] === v) return x
			return -1
		},
		JoinString(sep) {
			let arr = []
			for (let x = 0; x < this._cx; ++x) arr.push(this.At(x, 0, 0))
			return arr.join(sep)
		},
		AsJSON() {
			return this.GetAsJsonString()
		}
	}
}
